Subject: RE: ARC + COND

From: "Rutt, T E (Tom)" <[email-masked]>
Date: Thu, 22 Mar 2001 13:59:38 -0500

ter

	----------
	From:  Thomas, Steven C (Steve) [SMTP:[email-masked]]
	Sent:  Thursday, March 22, 2001 1:42 PM
	To:  'Lauren Heintz'; Randy Presuhn
	Cc:  [email-masked]
	Subject:  RE: ARC + COND

	Lauren wrote:
	Regarding the capability for temporarily disabling
	alarm notifications (perhaps during periods of installation
	and/or fault correction), I think typical users will want to
	at least have a VERY SIMPLE way of turning off alarms (i.e.
	a single TruthValue) that MUST be in the alarm MIB if
	they opt not to support the ARC and COND MIBs.

	My comments:
	I agree.  I see a need for a very simple mechanism for turning off
or
	screening alarm reports.  The needs that I have seen have largely
been
	driven by the manager side, and so doesn't know/care about the
sub-agent
	setup.  Their solution has been to have a single value (representing
	severity level) that indicates which alarms to report on and which
to not
	report on.  The implementations have kept the alarms in the active
alarm
	list and alarm logs, but haven't reported them.  When the manager
requests
	the agent to scale back alarm reporting, then they have
started/increased
	polling on the alarm table.

	The whole point of ARC is to turn off alarming because the admin
knows
	that some activities going on (e.g., provisioning) will cause
trouble conditions.

	However for this to work it has to be on a per resource basis (turn
off capacity 
	alarms for interface x).  You do not want to see it in the alarm
mib, however it
	would be in the conditions mib, if supported.

	Tom Rutt
	[email-masked]